<?php
session_start();
header("Content-Type: text/html;charset=utf-8");
$sysTitle="-网互站管理系统";
$sysAuthor="峻奇网络";
$sysSupportUrl="http://www.junqicn.com/";
$sysVersion="Version 4.1";
$sysAdminMainPage="main.php";

function adminPageLocation($textName1){
	echo ("当前位置：<strong>".$textName1."</strong>");
}

function adminTips($aID){
	switch($aID){
		case 1:
			echo ("<div class=\"tips_1 mt_5\">友情提示：录入完信息后按 <strong>Ctrl + 回车键</strong> 可直接发布信息哦！</div>");
		break;
		case 2:
			echo ("<div id=\"loginTopBar\" class=\"tips_3 mt_5\">友情提示：为保证后台账号安全，建议在不使用后台时 <span class=font_red>关闭浏览器</span> 或者 点击后台的 <span class=font_red>退出</span> 按钮。</div>");
		break;
	}
}

#***********************************
//管理后台翻页函数
//后台翻页也可以用于前台翻页，不同的是跳转翻页变成下拉形式.
function Controlnews($num_cnt,$page_cnt,$page,$table_style,$font_style){
//翻页处理总函数  $num_cnt总记录数  $page_cnt总页数  $page当前页码	
    $action = "http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
    $query = explode("&", $_SERVER['QUERY_STRING']);

	if(count($query)>=1){
		for($i=0;$i<count($query);$i++){
			$a = explode("=",$query[$i]);
			if(strcmp ("page",$a[0]) <> 0)
			{			
				$temp .= $a[0] . "=" . $a[1] . "&";
			}
		}
	}
	echo "<div class=\"PageProgram\">\n";	
	if($page<=1){
		echo "首页&nbsp;\n";
		echo "上一页&nbsp;\n";
	}else{
		echo "<a href=".$action."?".$temp."page=1 id='page_t'>首页</a>&nbsp;\n";
		echo "<a href=".$action."?".$temp."page=".($page-1)." id='page_t'>上一页</a>&nbsp;\n";
	}	
    if($page>=$page_cnt){
		echo "下一页&nbsp;\n";
		echo "尾页&nbsp;\n";
	}else{
		echo "<a href=".$action."?".$temp."page=".($page+1)." id='page_t'>下一页</a>&nbsp;\n";
		echo "<a href=".$action."?".$temp."page=".$page_cnt." id='page_t'>尾页</a>&nbsp;\n";     
	}
	echo "&nbsp;页次: ".$page."/".$page_cnt;
	echo "&nbsp;共有".$num_cnt."条信息\n";
	global $page_size;
	echo "&nbsp;每页共<span class='shine'>".$page_size."</span>条信息\n";
	echo " 转到:";
	echo "<select name=s onChange='window.location.href=this.options[this.selectedIndex].value;admin_id.options[0].selected=true'>";
	for($i=1;$i<=$page_cnt;$i++){
		if($page==$i)
		{
			echo "<option value='".$action."?".$temp."page=".$i."' selected>".$i."</option>";
		}else
		{
			echo "<option value='".$action."?".$temp."page=".$i."'>".$i."</option>";
		}
	}
	echo "</select>";
	echo "</div>";
}
?>